Skip to main content

Get notes

Get contacts with notes (100 contacts per page).

GET
https://api2lab.leadsys.com/api/v1/notes

Usage and SDK Samples​

Curl
curl -X GET\
-H "Accept: application/json"\
"https://api2lab.leadsys.com/api/v1/notes?api_key=&page="

Parameters​

Query parameters

NameDescription
api_key*String
Your Sappy API key
Required
page*String
Page number for pagination (starts from 0)
Required

Responses​

Status: 200 - list of contacts with notes​

Schema
[
{
linkedin: string
//Profile LinkedIn ID (part of the profile page after /in/, e.g. "johndoe" in "linkedin.com/in/johndoe").

/example: johndoe
name: string
//Full name of the contact.

//example: John
first_name: string
//First name of the contact.

//example: John
middle_name: string
//Middle name of the contact.

//example: W.
last_name: string
//Last name of the contact.

//example: Doe
company: string
//Primary company of the contact.

//example: Google
title: string
//Primary title of the contact.

//example: CEO and Founder
industry: string
//Industry.

//example: Marketing
phone: string
//Phone number.

//example: +1 555 123 456
email: string
//Email address.

//example: john.doe@example.com
website: string
//Website of the contact.

//example: example.com
twitter: string
//Twitter name of the contact.

//example: JohnDoe
education: string
//Main education of the contact.

//example: Springfield Community College
location: string
//Main location of the contact.

//example: United States, New York
connections: string
//LinkedIn connections of the contact.

//example: 500+
id: string
//Profile LinkedIn ID (part of the profile page after /in/, e.g. "johndoe" in "linkedin.com/in/johndoe")

//example: johndoe

notes: [
//Contacts notes

string
]

experience: [

{
name: string
//Company name.

//example: Google
title: string
//Position title.

//example: CEO and Founder
period: string
//Position period.

//example: Apr 2019 - May 2023
}
]
}
]